//
// Created by william on 7/28/24.
//

#ifndef NES_EMULATOR_DBG_PALETTE_H
#define NES_EMULATOR_DBG_PALETTE_H

#include "../include/types.h"
#include "dbg_pattern_table.h"

#define PALETTE_SIZE 3
#define PALETTE_COUNT 4

typedef byte DebugPalette[PALETTE_SIZE];

typedef struct dbg_palette_memory {
    byte universal_background_color;
    DebugPalette background_palettes[PALETTE_COUNT];
    DebugPalette sprite_palettes[PALETTE_COUNT];
} DebugPaletteMemory;

void dbg_palette_init();

pixel dbg_get_background_color(byte palette, byte data);

#endif //NES_EMULATOR_DBG_PALETTE_H
